%define module_dir CGI
%define module_name CGI
%define module_real_name CGI.pm

Name: perl-%module_name
Version: 2.89
Release: alt2

Summary: Simple Common Gateway Interface class for Perl
License: GPL or Artistic
Group: Development/Perl
Url: http://stein.cshl.org/WWW/software/CGI/
Source: %module_real_name-%version.tar.bz2
Patch: %module_real_name-2.80-CGI_upload_tmpdir.patch.bz2
Patch1: CGI.pm-2.89-alt-hack.patch

BuildArch: noarch
%set_perl_req_method relaxed

# Automatically added by buildreq on Thu Oct 31 2002
BuildRequires: perl-devel

%package Apache
Summary: Simple Common Gateway Interface class for Perl (Apache)
Group: Development/Perl
PreReq: %name = %version-%release

%package FCGI
Summary: Simple Common Gateway Interface class for Perl (FastCGI)
Group: Development/Perl
PreReq: %name = %version-%release


%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

This CGI package has been split into 3 subpackages:
+ perl-CGI -- base installation;
+ perl-CGI-Apache -- modules for Apache/mod_perl;
+ perl-CGI-FCGI -- modules for FastCGI.

%description Apache
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

This CGI package has been split into 3 subpackages:
+ perl-CGI -- base installation;
+ perl-CGI-Apache -- modules for Apache/mod_perl;
+ perl-CGI-FCGI -- modules for FastCGI.

%description FCGI
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

This CGI package has been split into 3 subpackages:
+ perl-CGI -- base installation;
+ perl-CGI-Apache -- modules for Apache/mod_perl;
+ perl-CGI-FCGI -- modules for FastCGI.

%prep
%setup -q -n %module_real_name-%version
%patch -p1
%patch1 -p1

find -type f -print0 |
    xargs -r0 fgrep -l /usr/local/bin/ |
    xargs %__perl -pi -e 's|/usr/local/bin/|%_bindir/|g'

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README *.html examples
	%perl_vendor_privlib/CGI.pm
%dir	%perl_vendor_privlib/CGI
	%perl_vendor_privlib/CGI/Cookie.pm
	%perl_vendor_privlib/CGI/Util.pm
	%perl_vendor_privlib/CGI/Pretty.pm
	%perl_vendor_privlib/CGI/Carp.pm
	%perl_vendor_privlib/CGI/Push.pm
	%perl_vendor_privlib/CGI/Switch.pm
	%perl_vendor_man3dir/CGI::Cookie.*
	%perl_vendor_man3dir/CGI::Util.*
	%perl_vendor_man3dir/CGI::Pretty.*
	%perl_vendor_man3dir/CGI::Carp.*
	%perl_vendor_man3dir/CGI::Push.*
	%perl_vendor_man3dir/CGI::Switch.*

%files Apache
%dir	%perl_vendor_privlib/CGI
	%perl_vendor_privlib/CGI/Apache.pm
	%perl_vendor_man3dir/CGI::Apache.*

%files FCGI
%dir	%perl_vendor_privlib/CGI
	%perl_vendor_privlib/CGI/Fast.pm
	%perl_vendor_man3dir/CGI::Fast.*


%changelog
* Tue Nov 12 2002 Stanislav Ievlev <inger@altlinux.ru> 2.89-alt2
- hack reqs

* Thu Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 2.89-alt1
- 2.89
- package split: perl-CGI, perl-CGI-Apache, perl-CGI-FCGI
- perl-5.8 build with new rpm macros

* Sun Mar 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.80-alt1
- 2.80
- spec file skeletonization.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 2.752-alt1
- Release for ALT Linux.

* Wed Apr 25 2001 Pixel <pixel@mandrakesoft.com> 2.752-2mdk
- rebuild with new perl

* Sat Mar  3 2001 Pixel <pixel@mandrakesoft.com> 2.752-1mdk
- cleanup
(made by Alexander Skwar <ASkwar@Linux-Mandrake.com>)
- First seperate Mandrake version
- Added Upload Tmpdir patch from perl
- Requires perl *WITHOUT* CGI.pm!
